1

Yesterday I tried to upgrade my PC with Kubuntu to 18.10. During the installation process there occurred an error because of breeze (probably).

Now I am stuck with 18.04 and can't execute apt upgrade or do-release-upgrade etc. It always shows the following error message:

The following packages have unmet dependencies:
breeze : Depends: breeze-cursor-theme (4:5.12.6-0ubuntu0.1) but 4:5.13.5-0ubuntu2 is to be installed
...
plasma-integration : Depends: breeze (>= 4:5.13) but 4:5.12.6-0-ubuntu0.1 is to be installed

Running apt --fix-broken install or purging and reinstalling breeze couldn't fix the issue...

Edit - output of apt-cache policy breeze:

breeze:
  Installed: 4:5.12.6-0ubuntu0.1
  Candidate: 4:5.13.5-0ubuntu2
  Version table:
    4:5.13.5-0ubuntu2 500
      500 http://de.archive.ubuntu.com/ubuntu cosmic/universe amd64 Packages
 *** 4:5.12.6-0ubuntu0.1 100
      100 /var/lib/dpkg/status
  • Look at the version numbers: 4:5.12.6 is in Ubuntu 18.04, while 4:5.13.5 is in Ubuntu 18.10. You are trying to add software from the wrong release of Ubuntu, and that usually doesn't work. Check your sources - disable all wrong-version sources. – user535733 Oct 31 '18 at 12:29
  • I noticed that and also tried to manually specify the version with apt-get but it failed because this would overwrite a file which is also in plasma-look-land-fell... (4:5.12...) and I can neither update nor purge that one because of breeze. I may try however if I can change the source repositories if that is what you mean - do you know the path where they are? Plasma just instantly freezes... – Septatrix Oct 31 '18 at 12:34
  • Sources are in /etc/apt – user535733 Oct 31 '18 at 12:35
  • Just checked the file and all bionic sources are commented out, only the cosmic ones are enabled – Septatrix Oct 31 '18 at 12:36
  • 2
    Possible duplicate of dpkg error: "trying to overwrite file, which is also in..." – karel Oct 31 '18 at 13:52

Your Answer

By clicking "Post Your Answer", you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.